﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Crm4ScriptExtractor.DataAccess;
using Crm4ScriptExtractor.Model;

namespace Crm4ScriptExtractor.Service
{
    /// <summary>
    /// ScriptDataModelを出力するサービス
    /// </summary>
    class ScriptDataOutputService
    {
        /// <summary>
        /// filename で指定されたファイルに model のScript情報を出力する
        /// </summary>
        /// <param name="model">スクリプトデータモデル</param>
        /// <param name="filename">出力ファイル名</param>
        public void OutputData(ScriptDataModel model, string filename)
        {
            IScriptDataWriter writer = ScriptDataWriterFactory.CreateFileWriter(filename);
            writer.WriteData(model);
        }
    }
}
