﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Crm4ScriptExtractor.Model
{
    /// <summary>
    /// スクリプトのデータモデルを表すクラス
    /// </summary>
    public class ScriptDataModel
    {
        public ScriptDataModel(RowHeaderModel header, RowDataModelCollection rows)
        {
            this.Header = header;
            this.Rows = rows;
        }

        private RowHeaderModel _header;
        public RowHeaderModel Header
        {
            get { return _header; }
            private set { _header = value; }
        }
        private RowDataModelCollection _rows;
        public RowDataModelCollection Rows
        {
            get { return _rows; }
            private set { _rows = value; }
        }

    }
}
